.. _sysconfd-api:

**********************
xivo-sysconfd REST API
**********************

This service provides a public API that can be used to change the configuration that are
on a XiVO.

.. warning:: The 0.1 API is currently in development. Major changes could still
   happen and new resources will be added over time.


API reference
=============

.. toctree::
   :maxdepth: 2

   asterisk_voicemail
   common_configuration
   dhcpd_configuration
   ethernet
   network
   openssl
   dns
   services
   xivo_services
   handlers
   status_check
